D-Bus: DBusError Struct Reference

D-Bus 1.16.2

Data Fields
DBusError Struct Reference
D-Bus low-level public API » Error reporting

Object representing an exception. More...

`#include <dbus-errors.h>`

## Data Fields
const char * | name
| public error name field
const char * | message
| public error message field
unsigned int | dummy1: 1
| placeholder
unsigned int | dummy2: 1
| placeholder
unsigned int | dummy3: 1
| placeholder
unsigned int | dummy4: 1
| placeholder
unsigned int | dummy5: 1
| placeholder
void * | padding1
| placeholder

## Detailed Description

Object representing an exception.

Definition at line 50 of file dbus-errors.h.

## Field Documentation

## ◆ dummy1

unsigned int DBusError::dummy1

placeholder

Definition at line 55 of file dbus-errors.h.

## ◆ dummy2

unsigned int DBusError::dummy2

placeholder

Definition at line 56 of file dbus-errors.h.

## ◆ dummy3

unsigned int DBusError::dummy3

placeholder

Definition at line 57 of file dbus-errors.h.

## ◆ dummy4

unsigned int DBusError::dummy4

placeholder

Definition at line 58 of file dbus-errors.h.

## ◆ dummy5

unsigned int DBusError::dummy5

placeholder

Definition at line 59 of file dbus-errors.h.

## ◆ message

const char* DBusError::message

public error message field

Definition at line 53 of file dbus-errors.h.

Referenced by _dbus_become_daemon(), _dbus_generate_uuid(), _dbus_keyring_new_for_credentials(), _dbus_read_local_machine_uuid(), _dbus_resolve_pid_fd(), dbus_connection_register_fallback(), dbus_connection_register_object_path(), dbus_error_has_name(), dbus_error_is_set(), dbus_get_local_machine_id(), and dbus_set_error_const().

## ◆ name

const char* DBusError::name

public error name field

Definition at line 52 of file dbus-errors.h.

Referenced by _dbus_generate_uuid(), _dbus_read_local_machine_uuid(), _dbus_resolve_pid_fd(), dbus_error_has_name(), dbus_error_is_set(), and dbus_set_error_const().

## ◆ padding1

void* DBusError::padding1

placeholder

Definition at line 61 of file dbus-errors.h.

The documentation for this struct was generated from the following file:

- dbus-errors.h